curl --request POST \
--url https://api.aisa.one/apis/v1/tikhub/douyin/search/fetch_multi_search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "猫咪",
"cursor": 0,
"sort_type": "0",
"publish_time": "0",
"filter_duration": "0",
"content_type": "0",
"search_id": "",
"backtrace": ""
}
'import requests
url = "https://api.aisa.one/apis/v1/tikhub/douyin/search/fetch_multi_search"
payload = {
"keyword": "猫咪",
"cursor": 0,
"sort_type": "0",
"publish_time": "0",
"filter_duration": "0",
"content_type": "0",
"search_id": "",
"backtrace": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '猫咪',
cursor: 0,
sort_type: '0',
publish_time: '0',
filter_duration: '0',
content_type: '0',
search_id: '',
backtrace: ''
})
};
fetch('https://api.aisa.one/apis/v1/tikhub/douyin/search/fetch_multi_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"request_id": "<string>",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "<string>",
"time_stamp": 123,
"time_zone": "America/Los_Angeles",
"docs": "<string>",
"cache_message": "This response is cached and accessible via the URL below for 24 hours at no extra cost. The cache is for request tracing only — it doesn't affect the API's data freshness and won't be returned through the API again.",
"cache_message_zh": "本次响应已缓存,可通过下方 URL 直接查看,有效期 24 小时,访问缓存链接无额外费用。缓存仅用于请求溯源,不影响接口数据的时效性,也不会再次通过接口返回。",
"cache_url": "<string>",
"router": "",
"params": {},
"data": "<unknown>"
}Fetch multi-type search
Fetch multi-type search
code is 200.
Example
curl -X POST "https://api.aisa.one/apis/v1/tikhub/douyin/search/fetch_multi_search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' # see request schema below
Authorizations
AIsa API key. Get yours at https://aisa.one
Body
关键词 / Keyword
偏移游标,用于翻页,从上一次请求返回的响应中获取 / Offset cursor for pagination, obtained from the last response
排序方式:0=综合排序 1=最多点赞 2=最新发布 / Sort type: 0=Comprehensive, 1=Most Likes, 2=Latest
发布时间筛选:0=不限 1=最近一天 7=最近一周 180=最近半年 / Publish time filter: 0=Unlimited, 1=Last day, 7=Last week, 180=Last half year
视频时长过滤:0=不限 0-1=一分钟以内 1-5=一到五分钟 5-10000=五分钟以上 / Video duration filter: 0=Unlimited, 0-1=Within 1 minute, 1-5=1 to 5 minutes, 5-10000=More than 5 minutes
内容类型:0=不限 1=视频 2=图片 3=文章 / Content type: 0=All, 1=Video, 2=Picture, 3=Article
搜索ID,用于翻页,从上一次请求返回的响应中获取 / Search ID for pagination, obtained from the last response
翻页回溯标识,用于翻页,从上一次请求返回的响应中获取 / Backtrace for pagination, obtained from the last response
Response
Successful Response
HTTP status code | HTTP状态码
Unique request identifier | 唯一请求标识符
Response message (EN-US) | 响应消息 (English)
Response message (ZH-CN) | 响应消息 (中文)
Support message | 支持消息
The time the response was generated | 生成响应的时间
The timestamp the response was generated | 生成响应的时间戳
The timezone of the response time | 响应时间的时区
Link to the API Swagger documentation for this endpoint | 此端点的 API Swagger 文档链接
Cache message (EN-US) | 缓存消息 (English)
Cache message (ZH-CN) | 缓存消息 (中文)
The URL to access the cached result | 访问缓存结果的 URL
The endpoint that generated this response | 生成此响应的端点
The parameters used in the request | 请求中使用的参数
The response data | 响应数据